#include "defs.h"
#include "axkb.h"

int main(int argc, char *argv[])
{

    AXKB a(argc, argv);

    QTranslator translator;
    qDebug() << "Locale:" << QLocale::system().name();
    QString lang = "axkb_" + QLocale::system().name().split("_")[0];
    qDebug()<<"Language:"<<lang;
    QString langPath=QLibraryInfo::location(QLibraryInfo::TranslationsPath);
    if (!QFile::exists(langPath+"/"+lang+".qm"))
        langPath =  QCoreApplication::applicationDirPath() + "/language/";
    qDebug()<<"Language path:"<<langPath;
    translator.load(lang,langPath);
    a.installTranslator(&translator);
    a.setStartup();
    return a.exec();
}
